//this is very simple and works a treat, toggles the classname of the selected element WITHOUT JQuery
function togglestyle(el){
  //get the file id - this is the element id with the first 4 characters stripped off
  pfid = el.id.substring(4);
  if(el.className == "on") {
    //send an ajax call to the server to change the database removing the subscription row
    $.ajax({
      type: "POST",
      url: ajaxUrl(),
      data: "action=subtoggle&fid=" + pfid + "&todo=unsubscribe",
      success: function(msg){
        //check the return value then, if everything worked, change the button appearance 
        var result = Drupal.parseJson(msg);
        if (result.status == false) {
          //output the returned error message before exiting
          alert(result.data);   //result.data
          return;
        }
        //OK it worked - lets change the button to indicate we're currently unsubscribed  
        el.className="off";
        el.value ="Subscribe";

      }
    });  // end of the ajax stuff
  }
  else {
     //send an ajax call to the server to change the database removing the subscription row
    $.ajax({
      type: "POST",
      url: ajaxUrl(),
      data: "action=subtoggle&fid=" + pfid + "&todo=subscribe",
      success: function(msg){
        //check the return value then, if everything worked, change the button appearance 
        var result = Drupal.parseJson(msg);
        if (result.status == false) {
          //output the returned error message before exiting
          alert(result.data);   //result.data
          return;
        }
        //OK it worked - lets change the button to indicate we're currently unsubscribed  
        el.className="on";
        el.value ="Unsubscribe";

      }
    });  // end of the ajax stuff  
  }
}

//the getModUrl() is used by contrib modules for custom ajax
function ajaxUrl()  {
  var path = getBaseUrl() + "/?q=";
  return path += (typeof getModUrl == "undefined") ? "dbfm_js" : getModUrl();
}
